Miracle Docs
Integration profiles

Create an integration profile

POST
/v1/admin/integration-profiles
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://api.miracle.com/v1/admin/integration-profiles" \  -H "Content-Type: application/json" \  -d '{    "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",    "mode": "checkout",    "sessionLifetime": 1  }'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "merchantId": "c3073b9d-edd0-49f2-a28d-b7ded8ff9a8b",
    "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",
    "mode": "checkout",
    "status": "enabled",
    "returnUrl": "string",
    "sessionLifetime": 0,
    "maxDeclineAttempts": 0,
    "cascadingEnabled": true,
    "cascadePolicy": {
      "property1": null,
      "property2": null
    },
    "defaultLocale": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "deletedAt": null
  }
}
Empty
Empty
Empty

On this page